# constructor

NAME (TYPE NAME, ...) { ASSIGNMENT ...}
This form creates a constructor that is used in creating an instance of a class (called an object). This constructor does not contain a call to the super constructor. If the super class has a constructor which requires arguments, an error will occur. The arguments given when creating an instance must be of the same type, and in the same order, as that specified by the constructor. All of the fields of the class and any abstract super class must be set in the constructor. No comma is needed after the last argument.

ProfessorJ Beginner Language